Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class SignaturePolicyIdType

    java.lang.Object
      org.etsi.uri._01903.v1_3.SignaturePolicyIdType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class SignaturePolicyIdType

extends Object
implements Serializable

Java class for SignaturePolicyIdType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignaturePolicyIdType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SigPolicyId" type="{http://uri.etsi.org/01903/v1.3.2#}ObjectIdentifierType"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
             <element name="SigPolicyHash" type="{http://uri.etsi.org/01903/v1.3.2#}DigestAlgAndValueType"/>
             <element name="SigPolicyQualifiers" type="{http://uri.etsi.org/01903/v1.3.2#}SigPolicyQualifiersListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignaturePolicyIdType()`

Method Summary
`DigestAlgAndValueType` | `getSigPolicyHash()` Gets the value of the sigPolicyHash property.
`ObjectIdentifier` | `getSigPolicyId()` Gets the value of the sigPolicyId property.
`SigPolicyQualifiersListType` | `getSigPolicyQualifiers()` Gets the value of the sigPolicyQualifiers property.
`Transforms` | `getTransforms()` Gets the value of the transforms property.
`void` | `setSigPolicyHash(DigestAlgAndValueType value)` Sets the value of the sigPolicyHash property.
`void` | `setSigPolicyId(ObjectIdentifier value)` Sets the value of the sigPolicyId property.
`void` | `setSigPolicyQualifiers(SigPolicyQualifiersListType value)` Sets the value of the sigPolicyQualifiers property.
`void` | `setTransforms(Transforms value)` Sets the value of the transforms property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignaturePolicyIdType

    public SignaturePolicyIdType()

Method Detail

### getSigPolicyId

    public ObjectIdentifier getSigPolicyId()

  Gets the value of the sigPolicyId property.

  Returns:
    possible object is `ObjectIdentifier`

### setSigPolicyId

    public void setSigPolicyId(ObjectIdentifier value)

  Sets the value of the sigPolicyId property.

  Parameters:
    `value` - allowed object is `ObjectIdentifier`

### getTransforms

    public Transforms getTransforms()

  Gets the value of the transforms property.

  Returns:
    possible object is `Transforms`

### setTransforms

    public void setTransforms(Transforms value)

  Sets the value of the transforms property.

  Parameters:
    `value` - allowed object is `Transforms`

### getSigPolicyHash

    public DigestAlgAndValueType getSigPolicyHash()

  Gets the value of the sigPolicyHash property.

  Returns:
    possible object is `DigestAlgAndValueType`

### setSigPolicyHash

    public void setSigPolicyHash(DigestAlgAndValueType value)

  Sets the value of the sigPolicyHash property.

  Parameters:
    `value` - allowed object is `DigestAlgAndValueType`

### getSigPolicyQualifiers

    public SigPolicyQualifiersListType getSigPolicyQualifiers()

  Gets the value of the sigPolicyQualifiers property.

  Returns:
    possible object is `SigPolicyQualifiersListType`

### setSigPolicyQualifiers

    public void setSigPolicyQualifiers(SigPolicyQualifiersListType value)

  Sets the value of the sigPolicyQualifiers property.

  Parameters:
    `value` - allowed object is `SigPolicyQualifiersListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.